ManagedHttpClientConnectionFactory (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class ManagedHttpClientConnectionFactory

    java.lang.Object
      org.apache.http.impl.conn.ManagedHttpClientConnectionFactory

All Implemented Interfaces:
  HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class ManagedHttpClientConnectionFactory

extends Object
implements HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection>

Factory for `ManagedHttpClientConnection` instances.

Since:
  4.3

Field Summary
`static ManagedHttpClientConnectionFactory` | `INSTANCE`

Constructor Summary
`ManagedHttpClientConnectionFactory()`
`ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory)`
`ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory, org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory)`
`ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory, org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory, org.apache.http.entity.ContentLengthStrategy incomingContentStrategy, org.apache.http.entity.ContentLengthStrategy outgoingContentStrategy)`

Method Summary
`ManagedHttpClientConnection` | `create(HttpRoute route, org.apache.http.config.ConnectionConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ManagedHttpClientConnectionFactory INSTANCE

Constructor Detail

### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory,
                                              org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory,
                                              org.apache.http.entity.ContentLengthStrategy incomingContentStrategy,
                                              org.apache.http.entity.ContentLengthStrategy outgoingContentStrategy)

Since:
  4.4

### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory,
                                              org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory)

### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory(org.apache.http.io.HttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory)

### ManagedHttpClientConnectionFactory

    public ManagedHttpClientConnectionFactory()

Method Detail

### create

    public ManagedHttpClientConnection create(HttpRoute route,
                                              org.apache.http.config.ConnectionConfig config)

  Specified by:
    `create` in interface `HttpConnectionFactory<HttpRoute,ManagedHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.